## ros-kinetic-ainstein-radar-drivers 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
set(CMAKE_CXX_STANDARD 11)

project(ainstein_radar_drivers)

find_package(PCL REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  nodelet
  std_msgs
  can_msgs
  socketcan_bridge
  pcl_ros
  tf2
  tf2_ros
  ainstein_radar_msgs
  dynamic_reconfigure
  )

# Must be called after catkin_python_setup() and before catkin_package():
generate_dynamic_reconfigure_options(
  cfg/ZoneOfInterestT79.cfg
  )

catkin_package()

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
  )

add_executable(k79_node src/k79_node.cpp src/radar_interface_k79.cpp src/radar_driver_k79.cpp)
add_dependencies(k79_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(k79_node ${catkin_LIBRARIES})

add_library(k79_nodelet src/k79_nodelet.cpp src/radar_interface_k79.cpp src/radar_driver_k79.cpp)
target_link_libraries(k79_nodelet ${catkin_LIBRARIES})

add_executable(k79_3d_node src/k79_3d_node.cpp src/radar_interface_k79_3d.cpp)
add_dependencies(k79_3d_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(k79_3d_node ${catkin_LIBRARIES})

add_library(k79_3d_nodelet src/k79_3d_nodelet.cpp src/radar_interface_k79_3d.cpp)
target_link_libraries(k79_3d_nodelet ${catkin_LIBRARIES})

add_executable(t79_node src/t79_node.cpp src/radar_interface_t79.cpp)
add_dependencies(t79_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)
target_link_libraries(t79_node ${catkin_LIBRARIES})

add_executable(t79_bsd_node src/t79_bsd_node.cpp src/radar_interface_t79_bsd.cpp)
add_dependencies(t79_bsd_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(t79_bsd_node ${catkin_LIBRARIES})

install(TARGETS
  k79_node
  k79_nodelet
  k79_3d_node
  k79_3d_nodelet
  t79_node
  t79_bsd_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

## Install project namespaced headers
install(DIRECTORY include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-kinetic-ainstein-radar-drivers (3.0.1-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 11 Feb 2020 06:00:00 -0000

ros-kinetic-ainstein-radar-drivers (3.0.0-1xenial) xenial; urgency=high

  * Merge branch 'master' of https://github.com/AinsteinAI/ainstein_radar
  * Minor, needed to negate speed for K79-3D using new SNR firmware
  * Add SNR to K79 and K79-3D output
    Added SNR output corresponding to the new fimrware which packs the SNR
    in the message in the expected place. SNR sppears to be from roughly
    140-200, with some targets at 0 (needs to be debugged).
  * Minor, update K79 specs to longer max range
  * Minor, add missing K79 specifications
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 06 Feb 2020 06:00:00 -0000

ros-kinetic-ainstein-radar-drivers (2.0.2-1xenial) xenial; urgency=high

  * Minor, remove temporary file
  * Minor, fix SRD-D1 output data topic name
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 19 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar-drivers (2.0.1-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar-drivers (2.0.0-1xenial) xenial; urgency=high

  * Update RadarInfo msg, refactor for K79 and add T79
    Updated the RadarInfo message slightly. Also refactored the K79
    interface class to publish the RadarInfo message.
    Added publishing the RadarInfo message for T79 as well, needs testing.
  * Add latched publishing of RadarInfo msg for K79
    Added a latched publication of RadarInfo message for K79 in the K79
    interface class. This message is published once and stored for all
    future subscribers since the radar specifications never change (as of
    now).  The specifications used come from the preliminary datasheet
    and are likely to change. Any unknown specifications are left at zero.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-kinetic-ainstein-radar-drivers (1.1.0-1xenial) xenial; urgency=high

  * Minor fixes to package XML formatting
    Fixed the package XML file formatting and added missing content to
    conform to the suggested style guidelines.
  * Add simple T79 (ZOI) configuration GUI
    Added a simple Tk-based configuration GUI for the non-BSD T79 firmware
    (ZOI or Zone Of Interest firmware).  This GUI allows setting the
    "Nonvolatile Radar Parameters Command" which includes CAN ID, baudrate,
    and self start behavior.
  * Add K79-3D nodelet
    Added a nodelet for K79-3D to enable zero-copy message passing within
    the same nodelet manager.  Also added a launch file for testing this
    nodelet. Tested on hardware and working.
  * Add non-BSD T79 node for ZOI firmware/deprecate BSD
    Added a new interface and node for the new ZOI (Zone of Interest) T79
    firmware and deprecated the old T79 BSD interface and node by moving
    them as needed. Both tested and working, however nodelets are not yet
    available due to runtime issues involving the virtual base class.
    The new T79 node allows setting the zone of interest (min/max range,
    min/max azimuth angle) via ROS dynamic reconfigure GUI. The new node
    also supports up to 10 radars at once, specifying the CAN ID of each
    as a fixed node parameter. To set the CAN ID for a radar, currently
    this must be done outside ROS. A service call may implement this soon.
  * Bug fix in K79-3D interface, working in parking lot
    Fixed a few bugs in the parsing of K79-3D data packets which caused the
    data to be interpreted incorrectly resulting in nonphysical range and
    angles. Tested in the parking lot and seems to be working properly.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 29 Oct 2019 05:00:00 -0000

ros-kinetic-ainstein-radar-drivers (1.0.3-1xenial) xenial; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 03 Oct 2019 05:00:00 -0000

ros-kinetic-ainstein-radar-drivers (1.0.2-1xenial) xenial; urgency=high

  * Remove unused includes causing dependency issues
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-kinetic-ainstein-radar-drivers (1.0.1-1xenial) xenial; urgency=high

  * Refactor filters into separate subpkg, fix bug
    Created subpackage ainstein_radar_filters for radar filters and
    conversions, moved all filters from ainstein_radar_drivers into this
    subpkg and tested build and launch on rosbag data.
    Also fixed a small bug in the radar data range filter in which the
    dynamic reconfigure callback was not being registered, preventing the
    filter from working. Now, the filter compiles and works properly.
  * Fix CMake issue and move nodelets to plugins folder
    Added missing dependency to range filter nodelet which was setting up a
    build race condition in which the dynamic reconfigure header sometimes
    was built after the nodelet, causing the build to fail.
    Also created a plugins folder and moved all nodelet XML files there,
    and updated the package.xml to match.
  * Build fix, add radardata range filter nodelet xml
    Added the radardata_range_filter nodelet XML file to the package XML
    which fixes a build issue involving missing config for this nodelet.
  * Refactor K79 interface to break out pure C++ driver
    Refactored the K79 radar interface to break out a pure C/C++ driver
    class called RadarDriverK79 on which RadarInterfaceK79 now depends.
    Tested and working with K79-2D, would need to do the same for K79-3D
    as well as all other radars which have ROS-dependent drivers.
    The next step would be to move the pure C++ driver outside this pkg
    entirely and create an external dependency, allowing use of radars
    without needing ROS installed.


=== debian/control ===
Source: ros-kinetic-ainstein-radar-drivers
Section: misc
Priority: optional
Maintainer: Nick Rotella <nick.rotella@ainstein.ai>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-ainstein-radar-msgs, ros-kinetic-can-msgs, ros-kinetic-catkin, ros-kinetic-nodelet, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-socketcan-bridge
Homepage: https://wiki.ros.org/ainstein_radar_drivers
Standards-Version: 3.9.2

Package: ros-kinetic-ainstein-radar-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ainstein-radar-msgs, ros-kinetic-can-msgs, ros-kinetic-nodelet, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-socketcan-bridge
Description: ROS drivers (interfaces) and nodes for Ainstein radars.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ainstein-radar-drivers//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
